### Method

# Cogl Renderer check_onscreen_template

#### Declaration [src]

    gboolean
    cogl_renderer_check_onscreen_template (
      CoglRenderer* renderer,
      CoglOnscreenTemplate* onscreen_template,
      GError** error
    )

#### Description [src]

Tests if a given `onscreen_template` can be supported with the given `renderer`.

#### Parameters

`onscreen_template`

  Type: `CoglOnscreenTemplate`

  A `CoglOnscreenTemplate`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the `onscreen_template` can be supported, else `FALSE`.